function stringifyPosition(e) {
	return !e || typeof e != "object" ? "" : "position" in e || "type" in e ? position(e.position) : "start" in e || "end" in e ? position(e) : "line" in e || "column" in e ? point(e) : "";
}
function point(e) {
	return index(e && e.line) + ":" + index(e && e.column);
}
function position(e) {
	return point(e && e.start) + "-" + point(e && e.end);
}
function index(e) {
	return e && typeof e == "number" ? e : 1;
}
export { stringifyPosition };
